ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

LlvmCodeGen

Description

This is the top-level module in the LLVM code generator.

Synopsis

- llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> Stream IO RawCmmGroup () -> IO ()
- llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

# Documentation

llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> Stream IO RawCmmGroup () -> IO ()

Top-level of the LLVM Code generator

llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

Read in assembly file and process